
package book;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for weather complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="weather">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="barometer" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="barometer-description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="general-description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="high-temperature" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="low-temperature" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "weather", propOrder = {
    "barometer",
    "barometerDescription",
    "generalDescription",
    "highTemperature",
    "lowTemperature"
})
public class Weather {

    protected float barometer;
    @XmlElement(name = "barometer-description")
    protected String barometerDescription;
    @XmlElement(name = "general-description")
    protected String generalDescription;
    @XmlElement(name = "high-temperature")
    protected int highTemperature;
    @XmlElement(name = "low-temperature")
    protected int lowTemperature;

    /**
     * Gets the value of the barometer property.
     * 
     */
    public float getBarometer() {
        return barometer;
    }

    /**
     * Sets the value of the barometer property.
     * 
     */
    public void setBarometer(float value) {
        this.barometer = value;
    }

    /**
     * Gets the value of the barometerDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBarometerDescription() {
        return barometerDescription;
    }

    /**
     * Sets the value of the barometerDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBarometerDescription(String value) {
        this.barometerDescription = value;
    }

    /**
     * Gets the value of the generalDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGeneralDescription() {
        return generalDescription;
    }

    /**
     * Sets the value of the generalDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGeneralDescription(String value) {
        this.generalDescription = value;
    }

    /**
     * Gets the value of the highTemperature property.
     * 
     */
    public int getHighTemperature() {
        return highTemperature;
    }

    /**
     * Sets the value of the highTemperature property.
     * 
     */
    public void setHighTemperature(int value) {
        this.highTemperature = value;
    }

    /**
     * Gets the value of the lowTemperature property.
     * 
     */
    public int getLowTemperature() {
        return lowTemperature;
    }

    /**
     * Sets the value of the lowTemperature property.
     * 
     */
    public void setLowTemperature(int value) {
        this.lowTemperature = value;
    }

}
