package book;

import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.Random;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;


@WebService(name="WeatherService")
public class WeatherService {

  private Random random;

  public WeatherService() {
    this.random = new Random();
  }
  
  @WebResult(name="weather")
  
  public Weather getWeather( @WebParam(name="zipcode") int zipCode) {
    Calendar cal = new GregorianCalendar();
    // changes the weather value daily
    Weather w = new Weather();

    w.setHighTemperature(100);
    w.setLowTemperature(80);

    w.setBarometer(25 );
    w.setGeneralDescription("asdf");

    return w;
  }
}
